# HealOnKill

## CustomFlag: HealOnKill

**Description:** Heals the user when they kill another player. Optionally converts heal to AHP (aux HP) if full.

**Parameters:**

* `heal_amount` — Amount of health restored on kill.
* `convert_to_ahp_if_full` — If `true`, convert heal to AHP if player's HP is full.

**Example Yaml context:**

```yaml
flag_settings:
  heal_on_kill_settings:
  - heal_amount: 1
    convert_to_ahp_if_full: false
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.uci.ucserver.it/api/customflagsettings/healonkill.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
